package com.lemonhc.mplus.classes;

import com.lemonhc.mplus.MPlusConstants;
import com.lemonhc.mplus.framework.constant.FrameworkConstant;

/**
 * Created by kangsh on 2017. 1. 16..
 * PACS앱을 호출할때 보내는 파라미터를 담는 클래스.
 */

public class PACSObject {

    String serverurl;
    String user_id;
    String user_pw;
    //    String product; // android 에서 사용하지 않음.
    String pid;
    String accno;
    String returnurl;
    String type;
    String study_instance_uid;
    String study_start_date;
    String study_end_date;

    public FrameworkConstant.pacsType callType;

    public PACSObject() {
//        this.serverurl = MPlusConstants.INSTANCE.getPACS_SERVER_URL();
//        this.callType = FrameworkConstant.pacsType.getEnum(this.type == null ? FrameworkConstant.pacsType.L_TYPE.getTypeName() : this.type);
////        this.product = MPlusConstants.PACS_PRODUCT_TYPE;
    }

    public String getServerurl() {
        return serverurl;
    }

    public String getUser_id() {
        return user_id;
    }

    public String getUser_pw() {
        return user_pw;
    }

    public String getPid() {
        return pid;
    }

    public String getAccno() {
        return accno;
    }

    public String getReturnurl() {
        return returnurl;
    }

    public String getType() {
        return type;
    }

    public String getStudy_instance_uid() {
        return study_instance_uid;
    }

    public String getStudy_start_date() {
        return study_start_date;
    }

    public String getStudy_end_date() {
        return study_end_date;
    }

}


